Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.contentassist
Interface ICompletionProposalExtension3

All Known Implementing Classes:
  TemplateProposal

public interface ICompletionProposalExtension3

Extends `ICompletionProposal` with the following functions:

- provision of a custom information control creator
- provide a custom completion text and offset for prefix completion

Since:
  3.0

Method Summary
`IInformationControlCreator` | `getInformationControlCreator()` Returns the information control creator of this completion proposal.
`int` | `getPrefixCompletionStart(IDocument document, int completionOffset)` Returns the document offset at which the receiver would insert its proposal.
`CharSequence` | `getPrefixCompletionText(IDocument document, int completionOffset)` Returns the string that would be inserted at the position returned from `getPrefixCompletionStart(IDocument, int)` if this proposal was applied.

Method Detail

### getInformationControlCreator

    public IInformationControlCreator getInformationControlCreator()

  Returns the information control creator of this completion proposal.

  Returns:
    the information control creator, or `null` if no custom control creator is available

### getPrefixCompletionText

    public CharSequence getPrefixCompletionText(IDocument document,
                                                int completionOffset)

  Returns the string that would be inserted at the position returned from `getPrefixCompletionStart(IDocument, int)` if this proposal was applied. If the replacement string cannot be determined, `null` may be returned.

  If this interface is not implemented, `ICompletionProposal.getDisplayString()` will be used instead.

  Parameters:
    `document` - the document that the receiver applies to
    `completionOffset` - the offset into `document` where the completion takes place
  Returns:
    the replacement string or `null` if it cannot be determined

### getPrefixCompletionStart

    public int getPrefixCompletionStart(IDocument document,
                                        int completionOffset)

  Returns the document offset at which the receiver would insert its proposal.

  If this interface is not implemented, `completionOffset` will be used instead.

  Parameters:
    `document` - the document that the receiver applies to
    `completionOffset` - the offset into `document` where the completion takes place
  Returns:
    the offset at which the proposal would insert its proposal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.